Skip to content

Update A Specific Tag

Request

Updates an existing tag. When updating a tag you only need to specify the fields that you would like to change. All other fields will remain unchanged. For example; to update the name you might PUT the following XML to an existing tag.

<tag>
    <name>License</name>
</tag>
Security
apiKey
Path
idstringrequired
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

PUT
/v5/tags/{id}.xml
curl -i -X PUT \
  'https://api.vworkapp.com/v5/tags/{id}.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip' \
  -H 'Content-Type: application/xml; charset=utf-8' \
  -d '<?xml version="1.0" encoding="utf-8"?>
  <tag>
      <name>License</name>
  </tag>'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Tue, 14 Jun 2016 02:50:27 GMT"
ETagstring
Example:"W/\"4cf43ee41a81cbf5d4d2e2d20a14e0d5\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"76e28818-faa8-416f-892c-3ef77f455ab5"
X-Runtimestring
Example:"0.082651"
X-Unique-IDstring
Example:"CA7C7B8A:D37C_0A000ED8:01BB_575F70EE_792F80:1E66"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="UTF-8"?>
<tag>
    <id type="integer">27</id>
    <name>License</name>
    <description>Commercial Driver's License</description>
    <expires type="boolean">true</expires>
    <created_by_user_id nil="true"/>
    <created_at type="datetime">2016-06-14T02:41:25Z</created_at>
    <updated_at type="datetime">2016-06-14T02:50:27Z</updated_at>
</tag>